Bug 1266101 - instack-virt-setup fails on CentOS7
instack-virt-setup fails on CentOS7
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: instack-undercloud (Show other bugs)
Kilo
Unspecified Unspecified
unspecified Severity urgent
: ---
: Kilo
Assigned To: James Slagle
Shai Revivo
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 09:16 EDT by Martin Magr
Modified: 2016-05-19 11:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:45:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-setup.log (9.81 KB, text/plain)
2015-09-24 09:16 EDT, Martin Magr
no flags Details

  None (edit)
Description Martin Magr 2015-09-24 09:16:08 EDT
Created attachment 1076546 [details]
virt-setup.log

Description of problem:
on CentOS7 instack-virt-setup always fails with following error:
parse error: Invalid string: control characters from U+0000 through U+001F must be escaped at line 32, column 30

Version-Release number of selected component (if applicable):
tried both instack-undercloud-2.1.3-dev153.el7.centos.noarch and instack-undercloud-2.1.3-dev189.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
https://repos.fedorapeople.org/repos/openstack-m/docs/internal/master/environments/virtual.html

Additional info:
Error comes from line:
eval "sudo -H -E tripleo devtest_testenv.sh ${TESTENV_ARGS} $TE_DATAFILE"
Comment 1 Gonéri Le Bouder 2015-09-25 13:39:54 EDT

*** This bug has been marked as a duplicate of bug 1266451 ***
Comment 2 Gonéri Le Bouder 2015-09-25 13:44:22 EDT
hum, that was not a good idea. Sorry, I reopen.
Comment 3 Gonéri Le Bouder 2015-09-25 17:05:10 EDT
I pushed for review a patch that add jq 1.5 support to instack: https://review.openstack.org/#/c/228034/
Comment 7 Chandan Kumar 2016-05-19 11:45:22 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.